<!-- <button class="btn-grad" type="button" (click)="goBack()" >Go back</button> -->
<div class="details">
    <div class="details-box">
        <img src="../../assets/pexels-gradienta-7135121.jpg" height="200px" width="100%">
    </div>

    <div class="user-info">
        <div>
            <div>
                <h3>
                    {{user?.name}}
                </h3>
            </div>
            <br>
            <div>
                <h3>
                    {{user?.bio}}
                </h3>
            </div>
        </div>
        <div>
            <div>
                <h3>
                {{user?.followers}} Followers
                </h3>
            </div>
            <br>
            <div>
                <h3>
                    {{user?.following}} Followings
                </h3>
            </div>
        </div>
    </div>
</div>

<div class="details-box-div-image">
    <div style="padding: 40px;"></div>
    <img [src]="user?.avatar_url" class="detail-box-image">
</div>

<div class="header" >
    <div style="color: black; font-size: large;"> Followers </div>
    <label class="switch">
        <input type="checkbox" checked (click)="toggleComponent()" >
        <span class="slider round"></span>
    </label>
    <div style="color: black; font-size: large;">Public Repositories</div>
</div>

<div *ngIf="!showRepos">
    <div class="followers-list">
        <div>
            <ul class="search-results">
                <li *ngFor="let user of followers">
                    <app-search-result [gitUser]="user"> </app-search-result>
                </li>
            </ul>
        </div>
    </div>
</div>

<div *ngIf="showRepos">
    <app-repository-list [repos]="repos"></app-repository-list>
</div>